﻿using System;
using System.Linq;
using System.Runtime.InteropServices;
using System.Security.Claims;

namespace Identity
{
    public static class IdentityExtensions
    {
        public static int GetUserId(this ClaimsPrincipal user)
        {
            var idString = user.Claims.First(c => c.Type == ClaimTypes.NameIdentifier).Value;
            if (int.TryParse(idString, out var intId))
            {
                return intId;
            }
            throw new ArgumentException();
            
        }
    }
}